package cn.im.trafficplan.model;

import cn.base.bean.BaseBean;
//[交通预案管理]

public class TrafficplanmanageBean extends BaseBean implements java.io.Serializable {
	private String planID;//[预案ID]
	private String planName;//[预案名称]
	private String planGrade;//[预案等级，代码字段，1：一般，2：重大，3：特别重大]
	private String enableState;//[启用状态，代码，1-启用；0-停止]
	private String planExecMode;//[预案执行方式，代码字段，1：自动执行；2：手动执行；3：定时执行]
	private String planOperateMode;//[执行模式：1串行，2并行]
	private String delayTime;//[延迟时间(S)]
	private String planStartTime;//[预案开始时间]
	private String planStopTime;//[预案结束时间]
	private String alarmType;//[报警类型，代码字段，1：交通事故；2：自然灾害；3：恶劣天气；4：严重违法行为；5：路面损毁；6：交通拥堵；7：货物散落；20：特殊事件；99：其他事件]
	private String alarmDeviceId;//[报警源设备ID]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	private Integer start;
	private Integer limit;
	
	public Integer getStart() {
		return start;
	}
	public void setStart(Integer start) {
		this.start = start;
	}
	public Integer getLimit() {
		return limit;
	}
	public void setLimit(Integer limit) {
		this.limit = limit;
	}
	public void setPlanID(String planID){
		this.planID = planID;
	}
	public String getPlanID(){
		return planID;
	}
	public void setPlanName(String planName){
		this.planName = planName;
	}
	public String getPlanName(){
		return planName;
	}
	public void setPlanGrade(String planGrade){
		this.planGrade = planGrade;
	}
	public String getPlanGrade(){
		return planGrade;
	}
	public void setEnableState(String enableState){
		this.enableState = enableState;
	}
	public String getEnableState(){
		return enableState;
	}
	public void setPlanExecMode(String planExecMode){
		this.planExecMode = planExecMode;
	}
	public String getPlanExecMode(){
		return planExecMode;
	}
	public void setPlanOperateMode(String planOperateMode){
		this.planOperateMode = planOperateMode;
	}
	public String getPlanOperateMode(){
		return planOperateMode;
	}
	public void setDelayTime(String delayTime){
		this.delayTime = delayTime;
	}
	public String getDelayTime(){
		return delayTime;
	}
	public void setPlanStartTime(String planStartTime){
		this.planStartTime = planStartTime;
	}
	public String getPlanStartTime(){
		return planStartTime;
	}
	public void setPlanStopTime(String planStopTime){
		this.planStopTime = planStopTime;
	}
	public String getPlanStopTime(){
		return planStopTime;
	}
	public void setAlarmType(String alarmType){
		this.alarmType = alarmType;
	}
	public String getAlarmType(){
		return alarmType;
	}
	public void setAlarmDeviceId(String alarmDeviceId){
		this.alarmDeviceId = alarmDeviceId;
	}
	public String getAlarmDeviceId(){
		return alarmDeviceId;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
	@Override
	public String toString() {
		return "TrafficplanmanageBean [planID=" + planID + ", planName=" + planName + ", planGrade=" + planGrade
				+ ", enableState=" + enableState + ", planExecMode=" + planExecMode + ", planOperateMode="
				+ planOperateMode + ", delayTime=" + delayTime + ", planStartTime=" + planStartTime + ", planStopTime="
				+ planStopTime + ", alarmType=" + alarmType + ", alarmDeviceId=" + alarmDeviceId + ", createAccount="
				+ createAccount + ", createTime=" + createTime + ", modifyAccount=" + modifyAccount + ", modifyTime="
				+ modifyTime + ", start=" + start + ", limit=" + limit + "]";
	}
	
}